import glob
import re

itemNames = ["diamond_axe",
             "diamond_hoe",
             "diamond_pickaxe",
             "diamond_shovel",
             "diamond_sword"]

lastFiles = []
for item in itemNames:
    fileGroupName = item + "_*.json"
    allItemFiles = glob.glob(fileGroupName)
    allItemFiles.sort()
    #print(allItemFiles[-1])
    print("Current Item:", item)
    toDel = []
    for file in range(len(allItemFiles)):
        if "master" in allItemFiles[file]:
            toDel.append(file)
    toDel.sort()
    toDel.reverse()
    #print(toDel)
    for i in toDel:
        del allItemFiles[i]
    allItemFiles.sort(key=lambda x: '{0:0>32}'.format(x).lower())
    print("Amount of Files:", len(allItemFiles))
    print("Last File:", allItemFiles[-1])
    lastFiles.append(allItemFiles[-1])
    print("-----")
    oldNumber = 0
    for file in allItemFiles:
        newNumber = int(re.search(r".*?(\d+)", file).group(1))
        if (newNumber - oldNumber) > 1:
            print("Check:", file)
        oldNumber = newNumber
    print("-----\n")
    
print(lastFiles)




        
